Subject: Re: Updated: coreutils 8.32
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Sun, 22 May 2022 09:24:53 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2022-05-21 23:54, Fergus Daly wrote:
> I've just updated coreutils. I don't use test versions. So I have
> $ uname --version
> uname (GNU coreutils) 8.32
> Packaged by Cygwin (8.32-1)
> Now on 32-bit Cygwin I get
> $ uname -s
> CYGWIN_NT-10.0-19044-WOW64 [ previously CYGWIN_NT-10.0-WOW ]
> And on 64-bit Cygwin I get
> $ uname -s
> CYGWIN_NT-10.0-19044 [ previously CYGWIN_NT-10.0 ]
> Packaging error?

That build is a value we have said for years we would make visible for 
easier determination of Windows version used (21H2 for you and I), 
previously only visible in /proc/version:

$ head /proc/version
CYGWIN_NT-10.0-19044 version 3.3.5-341.x86_64 (corinna@calimero) (gcc 
version 11.2.0 20210728 (Fedora Cygwin 11.2.0-2) (GCC) ) 2022-05-13 
12:27 UTC

What products or processes does it affect negatively, and are there 
arguments for suppression, other than backward compatibility?

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple